Description: Fixes the compatibility with the version of Mockito in Debian
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: no
--- a/signpost-core/src/test/java/oauth/signpost/OAuthConsumerTest.java
+++ b/signpost-core/src/test/java/oauth/signpost/OAuthConsumerTest.java
@@ -102,8 +102,7 @@
         // verify that all custom params are properly read and passed to the
         // message signer
         ArgumentMatcher<HttpParameters> hasAllParameters = new ArgumentMatcher<HttpParameters>() {
-            public boolean matches(Object argument) {
-                HttpParameters params = (HttpParameters) argument;
+            public boolean matches(HttpParameters params) {
                 assertEquals("1 1", params.getFirst("a", true));
                 assertEquals("2 2", params.getFirst("b", true));
                 assertEquals("http://example.com", params.getFirst("realm", true));
@@ -136,8 +135,7 @@
         // verify that all custom params are properly read and passed to the
         // message signer
         ArgumentMatcher<HttpParameters> hasParameters = new ArgumentMatcher<HttpParameters>() {
-            public boolean matches(Object argument) {
-                HttpParameters params = (HttpParameters) argument;
+            public boolean matches(HttpParameters params) {
                 assertEquals("http://mycallback", params.getFirst("oauth_callback"));
                 assertEquals("1", params.getFirst("a"));
                 return true;
@@ -237,11 +235,10 @@
     // argThat(new IsCompleteListOfOAuthParameters()));
     // }
 
-    private class IsCompleteListOfOAuthParameters extends ArgumentMatcher<String> {
+    private class IsCompleteListOfOAuthParameters implements ArgumentMatcher<String> {
 
         @Override
-        public boolean matches(Object argument) {
-            String oauthHeader = (String) argument;
+        public boolean matches(String oauthHeader) {
             assertTrue(oauthHeader.startsWith("OAuth "));
             assertAllOAuthParametersExist(OAuth.oauthHeaderToParamsMap(oauthHeader));
             return true;
@@ -258,11 +255,10 @@
         assertNotNull(params.getFirst("oauth_version"));
     }
 
-    private class HasValuesPercentEncoded extends ArgumentMatcher<String> {
+    private class HasValuesPercentEncoded implements ArgumentMatcher<String> {
 
         @Override
-        public boolean matches(Object argument) {
-            String oauthHeader = (String) argument;
+        public boolean matches(String oauthHeader) {
             HttpParameters params = OAuth.oauthHeaderToParamsMap(oauthHeader);
             assertEquals("1%252", params.getFirst("oauth_consumer_key"));
             assertEquals("3%204", params.getFirst("oauth_token"));
